import * as core from "@aws-cdk/core";
/**
 * Properties of an AWS account
 */
export interface IAccountProps {
    /**
     * The email to use to create the AWS account
     */
    email: string;
    /**
     * The name of the AWS Account
     */
    name: string;
    /**
     * The potential Organizational Unit Id the account should be placed in
     */
    parentOrganizationalUnitId?: string;
    /**
   * The potential Organizational Unit Name the account should be placed in
   */
    parentOrganizationalUnitName?: string;
    /**
   * The AWS account Id
   */
    id?: string;
}
/**
 * An AWS Account
 */
export declare class Account extends core.Construct {
    /**
     * Constructor
     *
     * @param scope The parent Construct instantiating this account
     * @param id This instance name
     * @param accountProps Account properties
     */
    constructor(scope: core.Construct, id: string, accountProps: IAccountProps);
    registerAsDelegatedAdministrator(accountId: string): void;
}
