import * as cdk from '@aws-cdk/core';
/**
 * AWS Account input details.
 */
export interface AccountSpec {
    /**
     * The name of the AWS account.
     */
    readonly name: string;
    /**
     * The email associated to the AWS account.
     */
    readonly email?: string;
}
/**
 * Organizational Unit Input details.
 */
export interface OUSpec {
    readonly name: string;
    readonly accounts: AccountSpec[];
    readonly nestedOU?: OUSpec[];
}
/**
 * (experimental) Properties for AWS SDLC Organizations Stack.
 *
 * @experimental
 */
export interface AwsOrganizationsStackProps extends cdk.StackProps {
    /**
     * @experimental
     */
    readonly email?: string;
    /**
     * @experimental
     */
    readonly nestedOU: OUSpec[];
}
/**
 * A Stack creating the Software Life Cycle (SDLC) Organization.
 */
export declare class AwsOrganizationsStack extends cdk.Stack {
    private readonly emailPrefix?;
    private readonly domain?;
    private createOrganizationTree;
    constructor(scope: cdk.Construct, id: string, props: AwsOrganizationsStackProps);
}
